#ifndef EXOSPHERE_MISC_H
#define EXOSPHERE_MISC_H

#include <stdint.h>

#include "memory_map.h"

/* Exosphere driver for the Tegra X1 MISC Registers. */

#define MISC_BASE  (MMIO_GET_DEVICE_ADDRESS(MMIO_DEVID_MISC))

#define MAKE_MISC_REG(n) (*((volatile uint32_t *)(MISC_BASE + n)))


#define APB_MISC_SECURE_REGS_APB_SLAVE_SECURITY_ENABLE_REG0_0 MAKE_MISC_REG(0x0C00)
#define APB_MISC_SECURE_REGS_APB_SLAVE_SECURITY_ENABLE_REG1_0 MAKE_MISC_REG(0x0C04)
#define APB_MISC_SECURE_REGS_APB_SLAVE_SECURITY_ENABLE_REG2_0 MAKE_MISC_REG(0x0C08)

#endif